summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2021-06-10 14:59:51 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2021-06-10 17:30:57 +0200
commit4f3cfa31b7198563e35359af7fd46eaf0d06cc23 (patch)
tree8785dad0a8d83e89a10c0464208d53ee8a5759bb /kde-apps/kde-dev-scripts
parentkde-apps/kcachegrind: 21.04.2 version bump (diff)
downloadgentoo-4f3cfa31b7198563e35359af7fd46eaf0d06cc23.tar.gz
gentoo-4f3cfa31b7198563e35359af7fd46eaf0d06cc23.tar.bz2
gentoo-4f3cfa31b7198563e35359af7fd46eaf0d06cc23.zip
kde-apps/kde-dev-scripts: 21.04.2 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/kde-dev-scripts')
-rw-r--r--kde-apps/kde-dev-scripts/Manifest1
-rw-r--r--kde-apps/kde-dev-scripts/kde-dev-scripts-21.04.2.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/kde-apps/kde-dev-scripts/Manifest b/kde-apps/kde-dev-scripts/Manifest
index e8253fbddb9..83832844718 100644
--- a/kde-apps/kde-dev-scripts/Manifest
+++ b/kde-apps/kde-dev-scripts/Manifest
@@ -1,2 +1,3 @@
DIST kde-dev-scripts-20.12.3.tar.xz 366516 BLAKE2B e828220505de0287bfaa16f690a75a2f12fa2d6f7615aa61da123c9a2dd6473340cb17cb491541d37e1ee41688c10af2b0609a9d65f1a8f38b9cd0fb5d44edfa SHA512 5f6df12e9a43fe0721a9e21f152a25406ed03d7dcac45f06990667b54e13227744dacad2e7092b3c12655159e4c36aad1ebc908978117d8ac22db6f52486b59c
DIST kde-dev-scripts-21.04.1.tar.xz 366288 BLAKE2B a15f42ae5f48c20d0e32cebd9473cc9cd49201e0a1c972df84819d6ebed1100fbda401818c261c7750da02dfce970f2b8fab8545933d5e595a54238069547a10 SHA512 57546ce6ac2c52f2f09d40206637963eb21c9fdf5be57a2b649ad39c94ef0fd95f557c5500b76fc099f5ed37302f0eb8f6b96402cb1fd68ae9bf57b6c62b5cde
+DIST kde-dev-scripts-21.04.2.tar.xz 366320 BLAKE2B 4242159a3b1f165dfe7e11622e2e58d8d7b519069863175fcf46f19b863b368fa651f803be4a0f107ebb43b022b1fc468c4e529ec5e6d32ac720bf1a6f4e12d4 SHA512 7643aa5c0413d840a932fbd507d6d64fc2fb6da06ca1285d51fcce6869cf0c18f38a108589dd4c21e84ee42384ee9d1a5336626f461ce152328361247da4b53e
diff --git a/kde-apps/kde-dev-scripts/kde-dev-scripts-21.04.2.ebuild b/kde-apps/kde-dev-scripts/kde-dev-scripts-21.04.2.ebuild
new file mode 100644
index 00000000000..8b412e9ee4d
--- /dev/null
+++ b/kde-apps/kde-dev-scripts/kde-dev-scripts-21.04.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+KFMIN=5.80.0
+inherit ecm kde.org
+
+DESCRIPTION="KDE Development Scripts"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+# kdelibs4support - required for kdex.dtd
+# kdoctools - to use ECM instead of kdelibs4
+DEPEND="
+ >=kde-frameworks/kdelibs4support-${KFMIN}:5
+ >=kde-frameworks/kdoctools-${KFMIN}:5
+"
+RDEPEND="
+ app-arch/advancecomp
+ media-gfx/optipng
+ dev-perl/XML-DOM
+"
+
+src_prepare() {
+ ecm_src_prepare
+
+ # bug 275069
+ sed -e 's:colorsvn::' -i CMakeLists.txt || die
+}